<?php

/**
 * @file
 * Moodle interface used with Drupal Moodle Module to assist with integrating
 * a Moodle instance with a Drupal instance.
 */

// index.php - the front page.

$reqVar = '_' . $_SERVER['REQUEST_METHOD'];
$form_vars = $$reqVar;

$parm = $form_vars['parm'] ;

$url = explode("|", $parm);

$f_username = $url[0];
$f_userpw = $url[1];

require_once("config.php");
$username = trim(moodle_strtolower($f_username));
$password = $f_userpw ;


$user = authenticate_user_login($username, $password);
update_login_count();

if ($user) {
    if (! $user->confirmed ) {       // they never confirmed via email
        print_header(get_string("mustconfirm"), get_string("mustconfirm") );
        print_heading(get_string("mustconfirm"));
        print_simple_box(get_string("emailconfirmsent", "", $user->email), "center");
        print_footer();
        die;
    }

    $USER = $user;
    $USER->loggedin = true;
    $USER->site = $CFG->wwwroot;   // for added security

	if ($USER->username == "guest") {
        $USER->lang       = $CFG->lang;               // Guest language always same as site
        $USER->firstname  = get_string("guestuser");  // Name always in current language
    }

    if (!update_user_login_times()) {
        error("Wierd error: could not update login records");
    }

    set_moodle_cookie($USER->username);

    unset($SESSION->lang);

    if (user_not_fully_set_up($USER)) {
        $site = get_site();
        redirect("$CFG->wwwroot/user/edit.php?id=$USER->id&course=$site->id");
    }
 }

redirect("$CFG->wwwroot/index.php");
exit;
?>
